Subject: Re: [PATCH v4 5/8] trailer: clarify failure modes in parse_trailer

From: Junio C Hamano <[email-masked]>
Date: Thu, 20 Oct 2016 15:45:21 -0700

Jonathan Tan <[email-masked]> writes:

> If we do that, there is also the necessity of creating a string that
> combines the separators and '=' (I guess '\n' is not necessary now,
> since all the lines are null terminated). I'm OK either way.
>
> (We could cache that string, although I would think that if we did
> that, we might as well write the loop manually, like in this patch.)

I wonder if there is a legit reason to look for '=' in the first
place.  "Signed-off-by= Jonathan Tan <[email-masked]>" does not look
like a valid trailer line to me.

Isn't that a remnant of lazy coding in the original that tried to
share a single parser for contents and command line options or
something?